Subject: RE: [Sipping] about SIP-I

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 18 Nov 2003 18:17:54 -0600

The core point, I think, is that they assume different operating
environments. The Network-to-Network Interface (NNI) approach assumes
essentially a closed network in which only telephone switches exchange SIP
messages with one another (just like an SS7/ISUP network). This excludes the
User-to-Network Interface (UNI) cases, which ultimately means that the
designers of Q.1912.5 assume that ordinary SIP user agents will not be able
to send SIP messages to telephone switches participating in Q.1912.5
networks (the same way that an ordinary black phone is completely ignorant
of ISUP).

Here at the IETF, we assumed that the purpose of an RFC3372 gateway is to
allow ordinary user agents to hold telephone calls involving the PSTN, and
that accordingly an implementation of RFC3372 is a gateway, just a
peripheral that exists on the public Internet, not a "telephone switch" that
is part of some private network. We therefore arrived at different security
principles (requirements for S/MIME would be one good example), and perhaps
some different assumptions about details of the mapping.

I suspect that each of the specifications is complete for its own purposes -
they've just chosen different domains of applicability. Personally, I think
that any SIP-ISUP architecture that assumes an exclusively NNI environment
has more or less missed the point of SIP entirely, or at least has chosen an
environment where SIP adds questionable value.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: GARCIN Sébastien FTRD/DAC/ISS
> [mailto:[email-masked]]
> Sent: Thursday, November 13, 2003 10:19 AM
> To: Jesske, R; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RE : [Sipping] about SIP-I
> 
> 
> Hi,
> 
> SIP-T stands a general framework for interworking with ISUP, 
> this framework considering the use of SIP to carry ISUP as a 
> MIME body. As tom mentionned, SIP-T also provides some advice 
> on how mapping and encapsulation should be performed in this case.
> 
> SIP-I provides in greeter details how encapsulation and 
> mapping should be performed at an NNI interface. I actually 
> does deviate to some extent with the advice provided in RFC 3372. 
> 
> For example a key difference between SIP-T and SIP-I is that 
> when de-encapsulating an ISUP message :
> SIP-T sees the encapsulated ISUP as a template that is 
> overridden by SIP headers 
> Q.1912.5 specifies what information should be taken from ISUP 
> body (TMR is an example), and what information taken from the 
> result of interworking from SIP headers to ISUP parameters. 
> 
> Regards
> 
> sébastien
> 
> 
> 
> -----Message d'origine-----
> De : Jesske, R [mailto:[email-masked]] 
> Envoyé : jeudi 13 novembre 2003 16:36
> À : [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Cc : [email-masked]; [email-masked]
> Objet : AW: [Sipping] about SIP-I
> 
> 
> Hi,
> From a telecom operator point of view SIP-I is the solution 
> that guarantees a carrier grade and trusted connection for 
> the trunking case. A operator using SIP-I between public 
> PSTN/ISDN networks will ever stick to the Q.1912.5 solution, 
> because it is describing the procedures and demands regarding 
> the Interworking Unit at the network boundary. The philosophy 
> behind Q.1912.5 is that the SIP interface is seen as an NNI 
> and not as defined within IETF as an UNI.
> 
> Best Regards
> 
> Roland
> 
> > -----Ursprungliche Nachricht-----
> > Von: J Walia [mailto:[email-masked]]
> > Gesendet: Donnerstag, 13. November 2003 08:39
> > An: [email-masked]; [email-masked]; 
> > [email-masked]; [email-masked]; [email-masked]
> > Cc: [email-masked]; [email-masked]
> > Betreff: [Sipping] about SIP-I
> > 
> > 
> > Well i had been reading the thread on SIP-I . It was a bit
> > confusing since 
> > SIP-T and SIP-I seem to do the same thing. From a carrier 
> > prospective what 
> > is a better bet when interworking PSTN with Packet based 
> > network. From Tom's 
> > reply it seems it seems SIP-T is better but as expalined by 
> > Christian SIP-I 
> > seems to take care of what SIP-T RFC do not talk about. Does 
> > that mean SIP-I 
> > is more complete and a standardised implemetation comparing 
> to SIP-T.
> > 
> > Look forward to your comments
> > 
> > Regard
> > 
> > jw
> > 
> > _________________________________________________________________
> > BharatMatrimony.com.
> > http://www.bharatmatrimony.com/cgi-bin/bmclicks1.cgi?74 
> > India's premium matrimonial website.
> > 
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments of core SIP
> > 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP